<?xml version="1.0"?>
<!DOCTYPE logtalk SYSTEM "logtalk.dtd">
<?xml-stylesheet type="text/xsl" href="lgtxml.xsl"?>
<logtalk>
<entity>
<name><![CDATA[characterp]]></name>
<type>protocol</type>
<compilation>static</compilation>
<comment><![CDATA[Character protocol.]]></comment>
<authors><![CDATA[Paulo Moura]]></authors>
<version>1.0</version>
<date>2000/7/24</date>
</entity>
<relations>
</relations>
<predicates>
<public>
<predicate>
<name><![CDATA[is_alphanumeric/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[is_alphanumeric(+char)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[True if the argument is an alphanumeric character.]]></comment>
<template><![CDATA[is_alphanumeric(Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[is_alpha/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[is_alpha(+char)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[True if the argument is a letter or an underscore.]]></comment>
<template><![CDATA[is_alpha(Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[is_letter/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[is_letter(+char)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[True if the argument is a letter.]]></comment>
<template><![CDATA[is_letter(Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[is_bin_digit/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[is_bin_digit(+char)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[True if the argument is a binary digit.]]></comment>
<template><![CDATA[is_bin_digit(Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[is_octal_digit/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[is_octal_digit(+char)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[True if the argument is an octal digit.]]></comment>
<template><![CDATA[is_octal_digit(Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[is_dec_digit/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[is_dec_digit(+char)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[True if the argument is a decimal digit.]]></comment>
<template><![CDATA[is_dec_digit(Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[is_hex_digit/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[is_hex_digit(+char)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[True if the argument is an hexadecimal digit.]]></comment>
<template><![CDATA[is_hex_digit(Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[is_lower_case/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[is_lower_case(+char)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[True if the argument is a lower case letter.]]></comment>
<template><![CDATA[is_lower_case(Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[is_upper_case/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[is_upper_case(+char)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[True if the argument is a upper case letter.]]></comment>
<template><![CDATA[is_upper_case(Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[is_vowel/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[is_vowel(+char)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[True if the argument is a vowel.]]></comment>
<template><![CDATA[is_vowel(Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[is_layout/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[is_layout(+char)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[True if the argument is a layout character.]]></comment>
<template><![CDATA[is_layout(Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[lower_upper/2]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[lower_upper(?char,?char)]]></template>
<solutions>zero_or_more</solutions>
</mode>
<mode>
<template><![CDATA[lower_upper(+char,?char)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<mode>
<template><![CDATA[lower_upper(?char,+char)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Converts between lower and upper case letters.]]></comment>
<template><![CDATA[lower_upper(Term1,Term2)]]></template>
</predicate>
</public>
<protected>
</protected>
<private>
</private>
</predicates>
</logtalk>
